#! /bin/bash

# For URL structure reasons, our "api/" directory has a mixture of "root" files
# that must exist (the ones for each module) and other files that live in
# version control but are generated by the automodapi system. In order to
# refresh the latter files, they must be deleted before running a doc build.
# This script does that, while leaving the "root" files.

apidir=$(dirname $0)/api

cd "$apidir"

for f in *.rst; do
    case "$f" in
    pywwt.rst|\
    pywwt.annotation_.rst|\
    pywwt.app.rst|\
    pywwt.core.rst|\
    pywwt.data_server.rst|\
    pywwt.imagery.rst|\
    pywwt.instruments.rst|\
    pywwt.jupyter_relay.rst|\
    pywwt.jupyter.rst|\
    pywwt.jupyter_server.rst|\
    pywwt.layers.rst|\
    pywwt.logger.rst|\
    pywwt.qt.rst|\
    pywwt.solar_system.rst|\
    pywwt.traits.rst|\
    pywwt.utils.rst|\
    pywwt.windows.rst|\
    pywwt.windows.client.rst|\
    pywwt.windows.layer.rst|\
    pywwt.windows.misc.rst|\
    pywwt.windows.mods.rst|\
    pywwt.windows.utils.rst) ;;

    *) rm -f "$f"
    esac
done

echo "- Restoring files to work around issue with traitlets inherited members"

for c in AstropyQuantity Color ColorWithOpacity ; do
    git restore pywwt.traits.$c.rst
done
